## org.gnu.gtk
Class TreeViewColumnSizing

    java.lang.Object
      org.gnu.glib.Enum
          org.gnu.gtk.TreeViewColumnSizing

public class TreeViewColumnSizing
extends Enum

Determines how columns of a tree or table are resized.

See Also:
  `TreeViewColumn`

Field Summary
`static TreeViewColumnSizing` `AUTOSIZE`
`static TreeViewColumnSizing` `FIXED`
`static TreeViewColumnSizing` `GROW_ONLY`

Fields inherited from class org.gnu.glib.Enum
`value_`

Method Summary
`TreeViewColumnSizing` `and(TreeViewColumnSizing other)`
`static TreeViewColumnSizing` `intern(int value)`
`TreeViewColumnSizing` `or(TreeViewColumnSizing other)`
`boolean` `test(TreeViewColumnSizing other)`
`TreeViewColumnSizing` `xor(TreeViewColumnSizing other)`

Methods inherited from class org.gnu.glib.Enum
`equals, getValue, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### GROW_ONLY

    public static final TreeViewColumnSizing GROW_ONLY

### AUTOSIZE

    public static final TreeViewColumnSizing AUTOSIZE

### FIXED

    public static final TreeViewColumnSizing FIXED

Method Detail

### intern

    public static TreeViewColumnSizing intern(int value)

### or

    public TreeViewColumnSizing or(TreeViewColumnSizing other)

### and

    public TreeViewColumnSizing and(TreeViewColumnSizing other)

### xor

    public TreeViewColumnSizing xor(TreeViewColumnSizing other)

### test

    public boolean test(TreeViewColumnSizing other)